import { TerminalEntry } from './Terminal';
import { TestRunnerConfig } from '../TestRunnerConfig';
import { TestSessionManager } from '../TestSessionManager';
export interface TestProgressArgs {
    browserNames: string[];
    testFiles: string[];
    testRun: number;
    sessions: TestSessionManager;
    startTime: number;
    focusedTestFile?: string;
}
export declare function getTestProgressReport(config: TestRunnerConfig, args: TestProgressArgs): TerminalEntry[];
